| Haskell Hierarchical Libraries (base package) | Contents | Index

System.Time

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
The standard Time library.
Documentation
data Month

Constructors

January |
February |
March |
April |
May |
June |
July |
August |
September |
October |
November |
December |

Instances

Eq Month
Ord Month
Enum Month
Bounded Month
Ix Month
Read Month
Show Month

data Day

Constructors

Sunday |
Monday |
Tuesday |
Wednesday |
Thursday |
Friday |
Saturday |

Instances

Eq Day
Ord Day
Enum Day
Bounded Day
Ix Day
Read Day
Show Day

data ClockTime

Constructors

TOD Integer Integer |

Instances

Show ClockTime
Eq ClockTime
Ord ClockTime

getClockTime :: IO ClockTime
data TimeDiff

Constructors

TimeDiff |

tdYear :: Int |
tdMonth :: Int |
tdDay :: Int |
tdHour :: Int |
tdMin :: Int |
tdSec :: Int |
tdPicosec :: Integer |

Instances

Eq TimeDiff
Ord TimeDiff
Read TimeDiff
Show TimeDiff

noTimeDiff :: TimeDiff
diffClockTimes :: ClockTime -> ClockTime -> TimeDiff
addToClockTime :: TimeDiff -> ClockTime -> ClockTime
normalizeTimeDiff :: TimeDiff -> TimeDiff
timeDiffToString :: TimeDiff -> String
formatTimeDiff :: TimeLocale -> String -> TimeDiff -> String
data CalendarTime

Constructors

CalendarTime |

ctYear :: Int |
ctMonth :: Month |
ctDay :: Int |
ctHour :: Int |
ctMin :: Int |
ctSec :: Int |
ctPicosec :: Integer |
ctWDay :: Day |
ctYDay :: Int |
ctTZName :: String |
ctTZ :: Int |
ctIsDST :: Bool |

Instances

Eq CalendarTime
Ord CalendarTime
Read CalendarTime
Show CalendarTime

toCalendarTime :: ClockTime -> IO CalendarTime
toUTCTime :: ClockTime -> CalendarTime
toClockTime :: CalendarTime -> ClockTime
calendarTimeToString :: CalendarTime -> String
formatCalendarTime :: TimeLocale -> String -> CalendarTime -> String
Produced by Haddock version 0.6